//
//  NNSimpleQueryFilter.h
//  NNTagging
//
//  Created by Johannes Hoffart on 24.05.07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

/**
use this if you want to add simple attribute - value constraints to the query
 */
@interface NNSimpleQueryFilter : NSObject {
	NSString *attribute; /**< should contain the left-hand side of the constraint */
	NSString *value; /**< should contain the value of the attribute */
	
	BOOL valueUsesWildcard;
}

- (id)initWithAttribute:(NSString*)anAttribute value:(NSString*)aValue;

+ (NNSimpleQueryFilter*)simpleQueryFilterWithAttribute:(NSString*)anAttribute value:(NSString*)aValue;

- (NSString*)attribute;
- (void)setAttribute:(NSString*)anAttribute;
- (NSString*)value;
- (void)setValue:(NSString*)aValue;
- (BOOL)valueUsesWildcard;
- (void)setValueUsesWildcard:(BOOL)flag;

@end
